Bug 1119545 - NUFA conflicts with virt group: result to mount failed
Summary: NUFA conflicts with virt group: result to mount failed
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: nufa
Version: 3.4.2
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 03:38 UTC by lily
Modified: 2015-10-07 13:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 13:50:53 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description lily 2014-07-15 03:38:30 UTC
Description of problem:
When turn cluster.nufa to on, the volume never can mount. Below is the volume's info:
Volume Name: nufaVol
Type: Distribute
Volume ID: fedc6b34-c14f-4d82-b243-6a2907090027
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: 10.1.110.173:/var/lib/exports/nufaVol
Brick2: 10.1.110.174:/var/lib/exports/nufaVol
Options Reconfigured:
cluster.nufa: on
cluster.server-quorum-type: server
cluster.quorum-type: auto
network.remote-dio: enable
cluster.eager-lock: enable
performance.stat-prefetch: off
performance.io-cache: off
performance.read-ahead: off
performance.quick-read: off

In addition,options of virt group is below.
# cat /var/lib/glusterd/groups/virt
quick-read=off
read-ahead=off
io-cache=off
stat-prefetch=off
eager-lock=enable
remote-dio=enable
quorum-type=auto
server-quorum-type=server

Version-Release number of selected component (if applicable):
3.4.2

How reproducible:


Steps to Reproduce:
1.create a distributed volume
  # gluster volume create nufaVol 10.1.110.173:/var/lib/exports/nufaVol 10.1.110.174:/var/lib/exports/nufaVol force
2.set virt group
  # gluster volume set nufaVol group virt
3.turn nufa to on
  # gluster volume set nufaVol cluster.nufa on
4. start volume
  # gluster volume start nufaVol
5. mount volume
  # mount -t glusterfs 10.1.110.174:nufaVol /mnt/

Actual results:
5. Mount failed. Please check the log file for more details.

Expected results:
5. mount successfully


Additional info:
logs in /var/log/glusterfs/mnt-.log

[2014-07-15 03:07:14.065539] I [glusterfsd.c:1910:main] 0-/usr/sbin/glusterfs: Started running /usr/sbin/glusterfs version 3.4.2 (/usr/sbin/glusterfs --volfile-id=nufaVol --volfile-server=10.1.110.174 /mnt/)
[2014-07-15 03:07:14.069160] I [socket.c:3480:socket_init] 0-glusterfs: SSL support is NOT enabled
[2014-07-15 03:07:14.069204] I [socket.c:3495:socket_init] 0-glusterfs: using system polling thread
[2014-07-15 03:07:14.076019] E [nufa.c:641:init] 0-nufaVol-dht: Could not find specified or local subvol
[2014-07-15 03:07:14.076035] E [xlator.c:390:xlator_init] 0-nufaVol-dht: Initialization of volume 'nufaVol-dht' failed, review your volfile again
[2014-07-15 03:07:14.076044] E [graph.c:292:glusterfs_graph_init] 0-nufaVol-dht: initializing translator failed
[2014-07-15 03:07:14.076052] E [graph.c:479:glusterfs_graph_activate] 0-graph: init failed
[2014-07-15 03:07:14.076212] W [glusterfsd.c:1002:cleanup_and_exit] (-->/usr/lib64/libgfrpc.so.0(rpc_clnt_handle_reply+0xa5) [0x31cac0d6f5] (-->/usr/sbin/glusterfs(mgmt_getspec_cbk+0x328) [0x40b908] (-->/usr/sbin/glusterfs(glusterfs_process_volfp+0x103) [0x4050c3]))) 0-: received signum (0), shutting down
[2014-07-15 03:07:14.076230] I [fuse-bridge.c:5260:fini] 0-fuse: Unmounting '/mnt/'.

Comment 1 Niels de Vos 2015-05-17 21:58:07 UTC
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.

Comment 2 Kaleb KEITHLEY 2015-10-07 13:50:53 UTC
GlusterFS 3.4.x has reached end-of-life.\                                                   \                                                                               If this bug still exists in a later release please reopen this and change the version or open a new bug.


Note You need to log in before you can comment on or make changes to this bug.